\ProvidesClass{tulACC}[2019/05/03 V1.0 by Martin Hunek]
\NeedsTeXFormat{LaTeX2e}
\LoadClass[12pt,a4paper]{article}
\RequirePackage{geometry}
\RequirePackage{caption}

\geometry{
 a4paper,
 left=25mm,
 right=25mm,
 top=25mm,
 bottom=25mm
 }
 
 \captionsetup{justification=raggedright,singlelinecheck=false,font=it,labelfont=bf}
 \captionsetup[figure]{name=Fig.}
 \captionsetup[table]{name=Tab.}
 
\setlength\bibindent{0pt}

\pagenumbering{gobble}

\setlength{\parindent}{0em}
\setlength{\parskip}{0.21cm}

% Affiliation
\newenvironment{accAffiliation}{\topsep-0.21cm\begin{center}}{\end{center}\vspace{0.42cm}}

% Sections
\def\section{\@startsection{section}{1}{\z@}{0.42cm plus 1.5ex minus 0.5ex}%
{0.21cm plus 1ex minus 0ex}{\normalfont\normalsize\textbf}}%
\def\subsection{\@startsection{subsection}{2}{\z@}{0.42cm plus 1.5ex minus 0.5ex}%
{0.21cm plus 0ex minus 0ex}{\normalfont\normalsize\textbf}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{0.42cm plus 1.5ex minus 0.5ex}%
{0.21cm plus 0ex minus 0ex}{\normalfont\normalsize\textbf}}
\renewcommand{\@seccntformat}[1]{\protect\makebox[1.5cm][l]{\csname the#1\endcsname}\hspace{0em}}

% References
\renewcommand{\refname}{Literature}

% Title page
\def\@maketitle{
  \newpage
  \null
  \vskip 2em
  \begin{center}
  \let \footnote \thanks
    {\large \textsc \@title \par}%
    {
        \textbf \@author
      }
  \end{center}%
  \vspace{-0.21cm}
  }
